Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 236058 - "Debug > Attach Debugger..." does not have a working "Help" button
"Debug > Attach Debugger..." does not have a working "Help" button
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: IDE
7.4
PC Linux
: P2 (vote)
: 8.0
Assigned To: Kenneth Ganfield
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 08:31 UTC by Jiri Kovalsky
Modified: 2013-11-26 14:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kovalsky 2013-09-17 08:31:09 UTC
Product Version: NetBeans IDE 7.4 RC1 (Build 201309152201)
Java: 1.8.0-ea; Java HotSpot(TM) 64-Bit Server VM 25.0-b49
Runtime: Java(TM) SE Runtime Environment 1.8.0-ea-b107
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/7.4rc1
Cache directory: /home/cesilko/.cache/netbeans/7.4rc1

Description:
============
Dialog for attaching NetBeans debugger to a remote application does not work.

Steps to reproduce:
===================
1. Launch NetBeans IDE.
2. Invoke "Debug > Attach Debugger..." from the main menu.
3. Press "Help" button.
4. Nothing happens.

Expected: Help window will open displaying help page for the dialog.
=========
Comment 1 Jaroslav Havlin 2013-09-17 09:22:16 UTC
Help ID "debug.jpda.attach" is not available.
It's probably missing in the usersguide module.
Reassigning. Ken, can you please evaluate it? Thanks.
Comment 2 Kenneth Ganfield 2013-09-18 15:11:03 UTC
Fixed in core-main.
Topic added and map file updated.
Comment 3 Jiri Kovalsky 2013-10-09 16:37:39 UTC
Well, Help window gets opened in FCS build but it's empty. Any chance to show the corresponding topic?
Comment 4 Kenneth Ganfield 2013-11-08 11:11:02 UTC
The help button currently opens the correct topic in javahelp but link to users guide is currently broken in daily builds.

Am leaving this open until the link to the usersguide is fixed.
Comment 5 Kenneth Ganfield 2013-11-26 14:09:41 UTC
Link to users guide now works.
marking as fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo